View Issue Details

IDProjectCategoryView StatusLast Update
0001176Main CAcert Websitemiscpublic2013-10-15 20:11
ReporterBenBE Assigned ToBenBE  
PriorityhighSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2013 Q2 
Target Version2013 Q3Fixed in Version2013 Q3 
Summary0001176: Fix Deprecation messages due to PHP update
DescriptionThere are several deprecation messages flooding the error log of the testserver and production system.
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Relationships

has duplicate 0001185 closedBenBE register globals 
related to 0001182 closedNEOatNHNG Fix Deprecation messages sqldump.php 

Activities

BenBE

2013-06-19 19:59

updater   ~0004071

Last edited: 2013-06-19 20:02

View 2 revisions

Uploaded first intermediate version of this patch to the testserver.

A note for testers: Please report if you notice strange behaviour with the session management (suddenly getting logged out, loosing the session, ...) as most of this patch affects the Session handling directly.

BenBE

2013-06-19 21:00

updater   ~0004073

The patch has been updated due to an issue with Session Cleanup causing Certificate Login to fail - this should be fixed now. Please check EVERYTHING to contain sane state as substantial session handling changes have been done.

BenBE

2013-06-25 21:11

updater   ~0004075

Added session variable clear exception for CSRF Hashes due to problems when using Certificate Login.

BenBE

2013-06-25 22:46

updater   ~0004078

Dirk explicitly asks for this patch for being tested extensively.

BenBE

2013-06-26 21:19

updater   ~0004085

Beware of some little additional code to properly setup the profile session variable in some cases (near the beginning of includes/loggedin.php).

NEOatNHNG

2013-07-09 22:39

administrator   ~0004115

Benny and I went through the changes.Everything looks good. Now we have to get some tests to verify that login/logout still works and nothing fundamental is broken.

BenBE

2013-07-12 19:11

updater   ~0004121

Due to no objections and since this patch can't be really tested normally (no visual changes) I'm sending this to critical. Several checks have been done over the course of about 2 weeks to check for side effects and none of those found by the various testers could be found since the last update of the changeset.

INOPIAE

2013-07-13 05:40

updater   ~0004122

I worked in different areas on the test server. During the working period BenBE as SA observed the error log entries and found no error entries any more.
=>ok

MartinGummi

2013-07-13 05:43

updater   ~0004123

I worked in different areas on the test server.

During the working period BenBE as SWAT observed the error log entries on the testerver and found no error entries any more.

=>ok

wytze

2013-07-15 08:57

developer   ~0004147

The patch has been applied to the production server on July 15, 2013. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2013-07/msg00001.html

Issue History

Date Modified Username Field Change
2013-05-13 20:20 BenBE New Issue
2013-06-19 19:59 BenBE Note Added: 0004071
2013-06-19 20:00 BenBE Source_changeset_attached => cacert-devel testserver-stable 863e34e4
2013-06-19 20:00 BenBE Source_changeset_attached => cacert-devel testserver-stable d3a80520
2013-06-19 20:00 BenBE Source_changeset_attached => cacert-devel testserver-stable 39e99197
2013-06-19 20:02 BenBE Note Edited: 0004071 View Revisions
2013-06-19 20:40 BenBE Source_changeset_attached => cacert-devel testserver-stable 328ab746
2013-06-19 20:40 BenBE Source_changeset_attached => cacert-devel testserver-stable 7c6f243a
2013-06-19 20:55 BenBE Source_changeset_attached => cacert-devel testserver-stable 7fa5fb71
2013-06-19 20:55 BenBE Source_changeset_attached => cacert-devel testserver-stable 056881f5
2013-06-19 21:00 BenBE Note Added: 0004073
2013-06-20 07:20 BenBE Source_changeset_attached => cacert-devel testserver-stable d596fec1
2013-06-20 07:20 BenBE Source_changeset_attached => cacert-devel testserver-stable e9423bc9
2013-06-25 20:55 BenBE Source_changeset_attached => cacert-devel testserver-stable 6a0febea
2013-06-25 20:55 BenBE Source_changeset_attached => cacert-devel testserver-stable 64eabd52
2013-06-25 20:55 BenBE Source_changeset_attached => cacert-devel testserver-stable ff23575e
2013-06-25 21:10 BenBE Source_changeset_attached => cacert-devel testserver-stable 2577db73
2013-06-25 21:10 BenBE Source_changeset_attached => cacert-devel testserver-stable 3073215e
2013-06-25 21:10 BenBE Source_changeset_attached => cacert-devel testserver-stable e89c06e4
2013-06-25 21:10 BenBE Source_changeset_attached => cacert-devel testserver-stable ddfa705d
2013-06-25 21:11 BenBE Note Added: 0004075
2013-06-25 21:12 BenBE Assigned To => BenBE
2013-06-25 21:12 BenBE Status new => needs review & testing
2013-06-25 21:12 BenBE Target Version => 2013 Q3
2013-06-25 22:46 BenBE Reviewed by => dastrath
2013-06-25 22:46 BenBE Note Added: 0004078
2013-06-25 22:54 MartinGummi Relationship added related to 0001182
2013-06-26 20:10 BenBE Source_changeset_attached => cacert-devel testserver-stable 8c06200f
2013-06-26 20:10 BenBE Source_changeset_attached => cacert-devel testserver-stable 65d9c80b
2013-06-26 20:15 BenBE Source_changeset_attached => cacert-devel testserver-stable 7b7ca2bf
2013-06-26 20:15 BenBE Source_changeset_attached => cacert-devel testserver-stable 11309775
2013-06-26 20:30 BenBE Source_changeset_attached => cacert-devel testserver-stable cc4f3384
2013-06-26 20:30 BenBE Source_changeset_attached => cacert-devel testserver-stable 80ee86d6
2013-06-26 20:30 BenBE Source_changeset_attached => cacert-devel testserver-stable 0eceb4b1
2013-06-26 21:19 BenBE Note Added: 0004085
2013-07-02 19:08 BenBE Relationship added has duplicate 0001185
2013-07-02 21:30 BenBE Source_changeset_attached => cacert-devel testserver-stable f92895b3
2013-07-02 21:30 BenBE Source_changeset_attached => cacert-devel testserver-stable 9963c51f
2013-07-09 22:39 NEOatNHNG Reviewed by dastrath => NEOatNHNG, BenBE
2013-07-09 22:39 NEOatNHNG Note Added: 0004115
2013-07-09 22:39 NEOatNHNG Status needs review & testing => needs testing
2013-07-12 19:11 BenBE Note Added: 0004121
2013-07-12 19:11 BenBE Status needs testing => ready to deploy
2013-07-12 20:10 BenBE Source_changeset_attached => cacert-devel release 12ab18c8
2013-07-13 05:40 INOPIAE Note Added: 0004122
2013-07-13 05:43 MartinGummi Note Added: 0004123
2013-07-15 08:57 wytze Note Added: 0004147
2013-07-15 08:57 wytze Status ready to deploy => solved?
2013-07-15 08:57 wytze Fixed in Version => 2013 Q3
2013-07-15 08:57 wytze Resolution open => fixed
2013-10-15 20:11 INOPIAE Status solved? => closed